#include <iostream>

namespace Black {
	void print(int k) {
		std::cout << "Black print" << std::endl;
	};
}

namespace White {
	void print(int k) {
		std::cout << "White print" << std::endl;
	};
}


void sub1() {
	using White::print ;
	print(5);
}

void print(int k) {
	if ( k > 0 )
	{
		print(k-1);
	}
}

int main() {
	sub1();

	print(7);

	return 0;
}
